Name:           kcm_systemd
Version:        1.1.0
Release:        1%{?dist}
Summary:        Systemd control module for KDE

License:        GPLv3+
URL:            http://kde-apps.org/content/show.php/Kcmsystemd?content=161871
Source0:        http://kde-apps.org/CONTENT/content-files/161871-kcmsystemd-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  gettext
BuildRequires:  boost-devel
# we need the unified libsystemd.so, which was introduced in systemd 209
BuildRequires:  systemd-devel >= 209
BuildRequires:  qt5-qtbase-devel
BuildRequires:  kf5-kconfigwidgets-devel
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kauth-devel
BuildRequires:  kf5-rpm-macros

%description
Systemd control module for KDE. It provides a graphical frontend for the systemd
daemon, which allows for viewing and controlling systemd units, as well as
modifying configuration files. In integrates in the System Settings dialogue in
KDE.

%prep
%setup -q -n kcmsystemd-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ../
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang kcmsystemd

%files -f kcmsystemd.lang
%license LICENSE
%doc NEWS README.md
%{_kf5_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmsystemd.conf
%{_kf5_qtplugindir}/kcm_systemd.so
%{_kf5_libexecdir}/kauth/kcmsystemdhelper
%{_kf5_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmsystemd.service
%{_kf5_datadir}/kservices5/kcm_systemd.desktop
%{_kf5_datadir}/kservices5/settings-system-administration.desktop
%{_kf5_datadir}/polkit-1/actions/org.kde.kcontrol.kcmsystemd.policy

%changelog
* Tue Mar 03 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.1.0-1
- Update to 1.1.0 (#1198121)
- BR systemd-devel >= 209 for libsystemd.so (new dependency)
- Upstream added translations, package them (BR gettext, use %%find_lang)

* Mon Feb 23 2015 Kevin Kofler <Kevin@tigcc.ticalc.org> - 1.0.0-1
- Update to 1.0.0 (#1195092, KF5 port)
- Update BuildRequires (remove kdelibs4-devel, add cmake, ECM, Qt 5 and KF5)
- Use kf5 RPM macros instead of kde4 ones
- Use %%license instead of %%doc for LICENSE

* Mon Jan 26 2015 Petr Machata <pmachata@redhat.com> - 0.7.0-3
- Rebuild for boost 1.57.0

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Aug 03 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.7.0-1
- Update to 0.7.0 (#1124165)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 0.6.1-2
- Rebuild for boost 1.55.0

* Mon Apr 07 2014 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.6.1-1
- Rename package from kcm-systemd to kcm_systemd
- Update to 0.6.1
- Point URL and Source0 to kde-apps.org (released tarball) instead of github
- Line-wrap %%description and fix a spelling/grammar error in it

* Wed Dec 25 2013 Mario Blättermann <mario.blaettermann@gmail.com> - 0.4.0-2
- Use kdelibs4 instead of kdelibs

* Wed Dec 18 2013 Mario Blättermann <mariobl@fedoraproject.org> 0.4.0-1
- Initial package
